### Function

# WebKit SecurityOrigin new

#### Declaration [src]

    WebKitSecurityOrigin*
    webkit_security_origin_new (
      const gchar* protocol,
      const gchar* host,
      guint16 port
    )

#### Description [src]

Create a new security origin from the provided protocol, host and port.

Available since: | 2.16

#### Parameters

`protocol` | `const gchar*`
| The protocol for the new origin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`host` | `const gchar*`
| The host for the new origin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`port` | `guint16`
| The port number for the new origin, or 0 to indicate the default port for `protocol`.

#### Return value

Returns: | `WebKitSecurityOrigin`
| A `WebKitSecurityOrigin`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.